2008年7月28日

[ruby-list:45277] Re: [ANN] Ruby 1.9.0-3リリース

At Sat, 26 Jul 2008 00:04:00 +0900,
Yugui (Yuki Sonoda) wrote:
> == プラットフォーム
> Ruby 1.9は今後、下記のプラットフォームをサポートしません。活動しているメ
> ンテナがいないためです。
> * BeOS
> * WinCE
> * OS/2

> * Interix
> * bcc32
> * Classic MacOS
> * djgpp
> * VMS
> * human68k
>
> 9月25日までにメンテナが現れない限り、これらのためのプラットフォーム依存
> コードはRubyから削除します。

 公式サポートからの除外とコードの削除は別個に考えるべきでは
ないでしょうか。削除は、本当にメンテナがいないとどうしようも
ないとなってから、個別に損得勘定すればいいのではないかな。

 むろん、プラットフォームが事実上終わっていて、誰も動作確認を
十分に行えておらず、すでに Ruby のメンテナンス上の負担になって
いるようなものは、メンテナが現れなければ消すべきだと思います。
そしてそういうものが上記にあれば今名指ししておくべきでしょう。

--
Akinori MUSHA / http://akinori.org/

投稿者 xml-rpc : 2008年7月28日 22:35
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/75792
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。